org.eclipse.jgit.dircache

## Class DirCacheEditor.PathEdit

- java.lang.Object
- - org.eclipse.jgit.dircache.DirCacheEditor.PathEdit

Direct Known Subclasses:
  DirCacheEditor.DeletePath, DirCacheEditor.DeleteTree

Enclosing class:
  DirCacheEditor

    public abstract static class DirCacheEditor.PathEdit
    extends Object

Any index record update.

Applications should subclass and provide their own implementation for the `apply(DirCacheEntry)` method. The editor will invoke apply once for each record in the index which matches the path name. If there are multiple records (for example in stages 1, 2 and 3), the edit instance will be called multiple times, once for each stage.

### Constructor Summary

Constructors
Constructor and Description
`PathEdit(DirCacheEntry ent)` Create a new update command for an existing entry instance.
`PathEdit(String entryPath)` Create a new update command by path name.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `apply(DirCacheEntry ent)` Apply the update to a single cache entry matching the path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathEdit

    public PathEdit(String entryPath)

Create a new update command by path name.

Parameters:
  `entryPath` - path of the file within the repository.

#### PathEdit

    public PathEdit(DirCacheEntry ent)

Create a new update command for an existing entry instance.

Parameters:
  `ent` - entry instance to match path of. Only the path of this entry is actually considered during command evaluation.

### Method Detail

#### apply

    public abstract void apply(DirCacheEntry ent)

Apply the update to a single cache entry matching the path.

After apply is invoked the entry is added to the output table, and will be included in the new index.

Parameters:
  `ent` - the entry being processed. All fields are zeroed out if the path is a new path in the index.